package com.game.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.game.business.domain.AppGameBetting;
import com.game.business.domain.AppGameCommission;
import com.game.business.domain.AppUserCount;
import com.game.business.domain.AppUserGameRecordCount;

import java.util.List;
import java.util.Date;

public interface IAppUserCountService extends IService<AppUserCount> {


    /**
     * 查询下级代理（直属下级）
     * */
    public List<AppUserCount> getAppUserCount(long userId,String beginTime,String endTIme);


    /**
     * 查询下级代理（整条线）
     * */
    public List<AppUserCount> getAppUserCountNew(long userId,String beginTime,String endTIme);

    public void createAppUserCount(AppUserCount appUserCount);

    public void staticsUserCount(Long gameId,String dateTime,String gameDate);

    public Date selectLastUpdateDate();

    public Date selectLastDate();

    public Date selectGameLastDate(Long userId);

    public void staticsUserBetting(AppGameBetting appGameBetting,List<AppUserGameRecordCount>  recordCountList);

    /**
     * 查询用户代理统计
     * */
    public List<AppUserCount> getListByUserId(long userId,String beginTime,String endTIme);

    /**
     * 记录当天已经统计过的用户游戏返佣
     * */
    public void setGameCache(List<AppUserGameRecordCount> gameRecordCountList);
}
